{
  "name": "hestia-frontend",
  "version": "0.2.0",
  "private": true,
  "scripts": {
    "build": "cross-env INLINE_RUNTIME_CHUNK=false react-scripts build",
    "deploy": "npm run build && rsync -arv build/ distant.land:/hestia/hestia-frontend/deployed",
    "eject": "react-scripts eject",
    "postinstall": "patch-package",
    "prettier": "prettier --write ./src/**/*.{ts,tsx,css,scss} ",
    "start": "react-scripts start",
    "test": "react-scripts test"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "dependencies": {
    "@caldwell619/react-kanban": "^0.0.5",
    "@emotion/react": "^11.10.5",
    "@emotion/styled": "^11.10.5",
    "@mui/icons-material": "^5.11.0",
    "@mui/lab": "^5.0.0-alpha.118",
    "@mui/material": "^5.11.7",
    "@tryghost/content-api": "^1.11.5",
    "formik": "^2.2.9",
    "highlight.js": "^11.7.0",
    "lodash.omit": "^4.5.0",
    "node-html-parser": "^6.1.13",
    "react": "^18.2.0",
    "react-animate-height": "^3.1.0",
    "react-click-away-listener": "^2.2.2",
    "react-device-detect": "^2.2.2",
    "react-dom": "^18.2.0",
    "react-router-dom": "^6.8.0",
    "sass": "^1.58.0",
    "tiny-relative-date": "^1.3.0",
    "typescript": "^4.9.5",
    "use-immer": "^0.8.1",
    "uuid": "^8.3.2",
    "web-vitals": "^2.1.4",
    "zustand": "^4.3.2"
  },
  "devDependencies": {
    "@testing-library/jest-dom": "^5.16.5",
    "@testing-library/react": "^13.4.0",
    "@testing-library/user-event": "^14.4.3",
    "@types/jest": "^29.4.0",
    "@types/lodash.omit": "^4.5.7",
    "@types/react": "^18.0.27",
    "@types/react-dom": "^18.0.10",
    "@types/tryghost__content-api": "^1.3.11",
    "@types/uuid": "^8.3.4",
    "@typescript-eslint/eslint-plugin": "^5.50.0",
    "@typescript-eslint/parser": "^5.50.0",
    "cross-env": "^7.0.3",
    "eslint-plugin-jsx-a11y": "^6.7.1",
    "eslint-plugin-react": "^7.32.2",
    "patch-package": "^6.5.1",
    "prettier": "^2.8.3",
    "react-scripts": "5.0.1"
  }
}
